From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/graaff:master commit in: dev-ruby/aasm/
Date: Fri, 16 Jan 2015 13:10:23 +0000 (UTC) [thread overview]
Message-ID: <1421243389.d8c17cb90fdf77f39002cdc789593eeb1bd17773.graaff@gentoo> (raw)
commit: d8c17cb90fdf77f39002cdc789593eeb1bd17773
Author: Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Wed Jan 14 13:49:49 2015 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jan 14 13:49:49 2015 +0000
URL: http://sources.gentoo.org/gitweb/?p=dev/graaff.git;a=commit;h=d8c17cb9
Version bump.
Package-Manager: portage-2.2.14
---
dev-ruby/aasm/ChangeLog | 5 +++++
dev-ruby/aasm/Manifest | 1 +
dev-ruby/aasm/aasm-4.0.8.ebuild | 33 +++++++++++++++++++++++++++++++++
3 files changed, 39 insertions(+)
diff --git a/dev-ruby/aasm/ChangeLog b/dev-ruby/aasm/ChangeLog
index 8ba380e..cb2e31b 100644
--- a/dev-ruby/aasm/ChangeLog
+++ b/dev-ruby/aasm/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*aasm-4.0.8 (14 Jan 2015)
+
+ 14 Jan 2015; Hans de Graaff <graaff@gentoo.org> +aasm-4.0.8.ebuild:
+ Version bump.
+
14 Jan 2015; Hans de Graaff <graaff@gentoo.org> -aasm-3.3.1.ebuild,
-aasm-3.3.3.ebuild:
Cleanup.
diff --git a/dev-ruby/aasm/Manifest b/dev-ruby/aasm/Manifest
index 0282053..73a8afb 100644
--- a/dev-ruby/aasm/Manifest
+++ b/dev-ruby/aasm/Manifest
@@ -1 +1,2 @@
DIST aasm-3.4.0.gem 37888 SHA256 661b4d6781a8d74792d570363454d82f3e7b482e5c192ca6d1c81aec9d71115b SHA512 36ecfd11d5948008f2b21e331bcb6ea775200ad929744aa31046e30a9f60783766e2cfa80c6017c275127c883782e5bd8fbf0091c888d2fcd2b3742a00382746 WHIRLPOOL cd06ca5654626eea49a6a3dd2c1fec171a739b5934c0ed318d1ada53c315ecc4d8f46e61f46af92503510c4989566e54a058946df722ac5d505e9d84a0afffdd
+DIST aasm-4.0.8.gem 44032 SHA256 053d0678ccecc01130729c54d6e081892bdbf6fece8928d795e10292e986e2d2 SHA512 fa54f05461d307a2a7357a9bef5241929e62a8c1ef11a851decf5e03acf39833cd535e2197dbd4dc8ac45416b98bf124d2249d0fd1a89f379570d24bc8f413cf WHIRLPOOL 83c4cc104e667a4d53047ce5b9e1ac8fc5751592433650b03f62ba1404196ecf9d7e33eebc4f6b790b6e77117e53df260484e48aceea055c078d6609fb6271f5
diff --git a/dev-ruby/aasm/aasm-4.0.8.ebuild b/dev-ruby/aasm/aasm-4.0.8.ebuild
new file mode 100644
index 0000000..3640d30
--- /dev/null
+++ b/dev-ruby/aasm/aasm-4.0.8.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+# Requires sdoc which is not yet available in Gentoo.
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md README_FROM_VERSION_3_TO_4.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for adding finite state machines to Ruby classes."
+HOMEPAGE="https://github.com/rubyist/aasm"
+
+LICENSE="MIT"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/activerecord dev-ruby/rr )"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/coveralls/I s:^:#:' spec/spec_helper.rb || die
+
+ # We currently don't package sdoc
+ sed -i -e '/sdoc/d' Rakefile || die
+}
next reply other threads:[~2015-01-16 13:10 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-01-16 13:10 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-10-27 7:07 [gentoo-commits] dev/graaff:master commit in: dev-ruby/aasm/ Hans de Graaff
2016-08-15 13:34 Hans de Graaff
2016-08-15 13:34 Hans de Graaff
2016-04-01 7:01 Hans de Graaff
2016-04-01 7:01 Hans de Graaff
2015-12-09 6:36 Hans de Graaff
2015-10-29 6:14 Hans de Graaff
2015-10-29 6:14 Hans de Graaff
2015-10-02 10:59 Hans de Graaff
2015-10-02 10:59 Hans de Graaff
2015-07-01 21:34 Hans de Graaff
2015-05-22 7:06 Hans de Graaff
2015-04-17 11:55 Hans de Graaff
2015-01-16 13:10 Hans de Graaff
2014-09-24 7:31 Hans de Graaff
2014-09-15 6:42 Hans de Graaff
2014-09-15 6:42 Hans de Graaff
2014-07-24 13:38 Hans de Graaff
2014-08-19 6:45 ` Hans de Graaff
2014-07-15 9:03 Hans de Graaff
2014-05-27 5:07 Hans de Graaff
2014-04-02 13:42 Hans de Graaff
2014-02-21 12:23 Hans de Graaff
2014-02-21 12:23 Hans de Graaff
2014-02-07 10:11 Hans de Graaff
2014-02-07 10:11 Hans de Graaff
2013-11-29 9:54 Hans de Graaff
2013-10-25 9:08 Hans de Graaff
2013-10-25 9:08 Hans de Graaff
2013-09-13 9:46 Hans de Graaff
2013-06-21 11:37 Hans de Graaff
2013-06-21 11:37 Hans de Graaff
2013-05-19 6:51 Hans de Graaff
2013-05-19 6:51 Hans de Graaff
2013-02-14 15:52 Hans de Graaff
2013-01-08 12:06 Hans de Graaff
2012-12-31 14:27 Hans de Graaff
2012-11-20 10:00 Hans de Graaff
2012-11-20 10:00 Hans de Graaff
2012-10-08 13:37 Hans de Graaff
2012-07-05 8:47 Hans de Graaff
2012-04-30 9:30 Hans de Graaff
2012-04-30 9:30 Hans de Graaff
2012-04-03 11:46 Hans de Graaff
2012-01-02 9:55 Hans de Graaff
2012-01-02 9:55 Hans de Graaff
2011-10-14 12:30 Hans de Graaff
2011-09-12 12:12 Hans de Graaff
2011-06-15 11:38 Hans de Graaff
2011-06-10 7:19 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1421243389.d8c17cb90fdf77f39002cdc789593eeb1bd17773.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox